<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Application>

  <Header>
    <Version val="10001"/>
    <WithIsn val="Y"/>
    <_InternalTask val="N"/>
    <IsRoot val="N"/>
    <InIndex val="N"/>
  </Header>

  <ProgramsRepository>
    <Programs>
      <Task MainProgram="N">
        <Header Description="システムチェック" ISN_2="1" LastIsn="1" id="155">
          <ExecutionRight comp="-1"/>
          <Resident val="N"/>
          <SQL val="N"/>
          <ReturnValue>
            <ParametersAttributes/>
          </ReturnValue>
          <SqlWhereExist val="N"/>
          <TaskType val="B"/>
          <External val="N"/>
          <FormType val="N"/>
          <LastModified _date="734018" _time="57414" date="2010/09/03" time="15:56:54"/>
        </Header>
        <ItemIsn val="1"/>
        <Resource>
          <Columns>
            <Column id="1" name="W.結果">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC"/>
                <Picture valUnicode="5"/>
                <_Dec/>
                <_Whole val="5"/>
                <_Negative/>
                <_FieldStyle val="1"/>
              </PropertyList>
            </Column>
          </Columns>
          <ColumnsLastIsn val="1"/>
        </Resource>
        <Information>
          <Key>
            <Mode val="N"/>
          </Key>
          <DB comp="-1"/>
          <Sort>
            <CLS val="A"/>
          </Sort>
          <ForceRecordDelete DEL="N"/>
          <EndTaskCondition val="Y"/>
          <EvaluateEndCondition val="A"/>
          <InitialMode val="M"/>
          <Locate Direction="A"/>
          <Range Direction="A"/>
          <VarRange/>
          <TaskProperties>
            <SelectionTable val="N"/>
            <ConfirmUpdate CNFU="N"/>
            <ConfirmCancel val="N"/>
            <ErrorStrategy val="A"/>
            <LockingStrategy val="I"/>
            <CacheStrategy val="T"/>
            <ForceRecordSuffix val="N"/>
            <TransactionMode val="P"/>
            <TransactionBegin val="T"/>
            <PreloadView val="N"/>
            <AllowEmptyDataview val="N"/>
            <KeepCreatedContext val="N"/>
          </TaskProperties>
          <SIDE_WIN>
            <AllowOptions val="N"/>
            <AllowQuery val="Y"/>
            <AllowModify val="Y"/>
            <AllowCreate val="Y"/>
            <AllowDelete val="Y"/>
            <AllowLocate val="Y"/>
            <AllowRange val="Y"/>
            <AllowIndexChange val="Y"/>
            <AllowSorting val="Y"/>
            <AllowIOFiles val="Y"/>
            <RecordCycle val="Y"/>
            <AllowEvents val="Y"/>
            <AllowIndexOptimization val="Y"/>
            <AllowLocationInQuery val="Y"/>
            <AllowPrintingData val="N"/>
          </SIDE_WIN>
          <WIN>
            <OpenTaskWindow val="N"/>
            <CloseTaskWindow val="Y"/>
            <ForegroundWindow val="Y"/>
            <FlipFld val="N"/>
            <RefreshTaskWindow ReturnValue="N"/>
          </WIN>
          <BOX>
            <Direction val="V"/>
          </BOX>
        </Information>
        <TaskLogic>
          <LogicUnit id="2" propagate="78">
            <Level val="R"/>
            <Type val="M"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="1"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <_TotalVariabls val="1"/>
            <_TotalVirtuals val="1"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <LogicLines>
              <LogicLine>
                <DATAVIEW_SRC FlowIsn="2" Type="M">
                  <Condition val="N"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </DATAVIEW_SRC>
              </LogicLine>
              <LogicLine>
                <Select FieldID="1" FlowIsn="3" id="1">
                  <Column val="1"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
          <LogicUnit id="3" propagate="78">
            <Level val="R"/>
            <Type val="S"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="2"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <Expanded val="1"/>
            <LogicLines>
              <LogicLine>
                <Remark FlowIsn="4">
                  <Type val="2"/>
                  <Text val="//INI内のGCHOMEの確認"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="5">
                  <Parent val="32768"/>
                  <FieldID val="7"/>
                  <WithValue val="2"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition Exp="1"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="6">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="7">
                  <Type val="2"/>
                  <Text val="//GCHOMEの存在確認"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <BLOCK EndBlock="10" EndBlockSegment="10" FlowIsn="8" Type="I">
                  <Condition Exp="3"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </BLOCK>
              </LogicLine>
              <LogicLine>
                <Invoke FlowIsn="9">
                  <OperationType val="U"/>
                  <TaskID comp="-1" obj="5"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="1"/>
                      <Expression val="8"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="2"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="3"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="4"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="5"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="6"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="7"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="8"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="9"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="10"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="11"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Convention val="S"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Invoke>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="10">
                  <Parent val="32768"/>
                  <FieldID val="7"/>
                  <WithValue val="9"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition Exp="4"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <END_BLK FlowIsn="11"/>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="12">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="13">
                  <Type val="2"/>
                  <Text val="//xmlフォルダの存在確認"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <BLOCK EndBlock="16" EndBlockSegment="16" FlowIsn="14" Type="I">
                  <Condition Exp="3"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </BLOCK>
              </LogicLine>
              <LogicLine>
                <Invoke FlowIsn="15">
                  <OperationType val="U"/>
                  <TaskID comp="-1" obj="5"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="12"/>
                      <Expression val="10"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="13"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="14"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="15"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="16"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="17"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="18"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="19"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="20"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="21"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="22"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Convention val="S"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Invoke>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="16">
                  <Parent val="32768"/>
                  <FieldID val="7"/>
                  <WithValue val="11"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition Exp="4"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <END_BLK FlowIsn="17"/>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="18">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="19">
                  <Type val="2"/>
                  <Text val="//mergeフォルダの存在確認"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <BLOCK EndBlock="22" EndBlockSegment="22" FlowIsn="20" Type="I">
                  <Condition Exp="3"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </BLOCK>
              </LogicLine>
              <LogicLine>
                <Invoke FlowIsn="21">
                  <OperationType val="U"/>
                  <TaskID comp="-1" obj="5"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="23"/>
                      <Expression val="12"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="24"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="25"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="26"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="27"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="28"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="29"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="30"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="31"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="32"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="33"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Convention val="S"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Invoke>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="22">
                  <Parent val="32768"/>
                  <FieldID val="7"/>
                  <WithValue val="13"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition Exp="4"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <END_BLK FlowIsn="23"/>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="24">
                  <Type val="2"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="25">
                  <Type val="2"/>
                  <Text val="//flexComフォルダの存在確認"/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <BLOCK EndBlock="28" EndBlockSegment="28" FlowIsn="26" Type="I">
                  <Condition Exp="3"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </BLOCK>
              </LogicLine>
              <LogicLine>
                <Invoke FlowIsn="27">
                  <OperationType val="U"/>
                  <TaskID comp="-1" obj="5"/>
                  <Lock val="N"/>
                  <Arguments>
                    <Argument>
                      <id val="34"/>
                      <Expression val="14"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="35"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="36"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="37"/>
                      <Expression val="7"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="38"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="39"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="40"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="41"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="42"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="43"/>
                      <Expression val="6"/>
                      <Skip val="N"/>
                    </Argument>
                    <Argument>
                      <id val="44"/>
                      <Variable val="1"/>
                      <Skip val="N"/>
                    </Argument>
                  </Arguments>
                  <Wait val="Y"/>
                  <SyncData val="N"/>
                  <Convention val="S"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Invoke>
              </LogicLine>
              <LogicLine>
                <Update FlowIsn="28">
                  <Parent val="32768"/>
                  <FieldID val="7"/>
                  <WithValue val="15"/>
                  <Incremental val="N"/>
                  <ForcedUpdate val="Y"/>
                  <Condition Exp="4"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </Update>
              </LogicLine>
              <LogicLine>
                <END_BLK FlowIsn="29"/>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
        </TaskLogic>
        <TaskForms>
          <FormEntry id="2">
            <PropertyList model="FORM_GUI0">
              <_Comment/>
              <FormName valUnicode="システムチェック"/>
              <UserStateIdentifier/>
            </PropertyList>
          </FormEntry>
        </TaskForms>
        <Expressions>
          <Expression id="1">
            <ExpSyntax val="INIGet('[MAGIC_LOGICAL_NAMES]GCHOME')=''"/>
            <ExpAttribute val="B"/>
          </Expression>
          <Expression id="2">
            <ExpSyntax val="901"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="3">
            <ExpSyntax val="{32768,7}=0"/>
            <ExpAttribute val="B"/>
          </Expression>
          <Expression id="4">
            <ExpSyntax val="{0,1}&lt;>0"/>
            <ExpAttribute val="B"/>
          </Expression>
          <Expression id="5">
            <ExpSyntax val="'MgTools.mgFindFirst'"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="6">
            <ExpSyntax val="''"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="7">
            <ExpSyntax val="0"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="8">
            <ExpSyntax val="Translate('%GCHOME%')"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="9">
            <ExpSyntax val="902"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="10">
            <ExpSyntax val="Translate('%GCHOME%\xml')"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="11">
            <ExpSyntax val="903"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="12">
            <ExpSyntax val="Translate('%GCHOME%\merge')"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="13">
            <ExpSyntax val="904"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="14">
            <ExpSyntax val="Translate('%GCHOME%\flexCom')"/>
            <ExpAttribute val="A"/>
          </Expression>
          <Expression id="15">
            <ExpSyntax val="905"/>
            <ExpAttribute val="N"/>
          </Expression>
        </Expressions>
      </Task>
    </Programs>
  </ProgramsRepository>

</Application>
